  function draw_stabfunc(g,xmin,xmax,Nx,ymin,ymax,Ny)

% function draw_stabfunc(g,xmin,xmax,Nx,ymin,ymax,Ny)
%
% Zeichne Stabilitaetsgebiet eines Verfahrens mit Stabilitaetsfunktion g(z)
%
% Parameter: g         ... Stabilitaetsfunktion des Verfahrens
%            xmin,xmax ... min & max Wert fuer Re(z)
%            Nx        ... Anzahl Punkte zwischen xmin,xmax
%            ymin,ymax ... min & max Wert fuer Im(z)
%            Ny        ...  Anzahl Punkte zwischen ymin,ymax
%
% Returns: -

% Generiere Gitter
  reals = linspace(xmin,xmax,Nx);
  imags = linspace(ymin,ymax,Ny);
  [Xr,Yi] = meshgrid(reals,imags);
  z = Xr + j*Yi;

% Zeichne Stabilitaetsfunktion
  clf;
  hold on;
  box on;
  title('Stabilitaetsgebiet');
  colormap(flipud(colormap('gray')));
  tmp = double(abs(g(z)) < 1.);
  pcolor(Xr,Yi,tmp);
  caxis([0.,1.]);
  shading flat;
  contour(Xr,Yi,abs(g(z)),[1.,1.],'LineWidth',2,'LineColor','k')
  xlabel('Re z');
  ylabel('Im z');
  hold off;

% Setze Axen
  xlim([xmin,xmax]);
  ylim([ymin,ymax]);
  axis square;
